Jedox Plan & Forecast Requirements

image_pdfimage_print

Software Requirements for Jedox Plan & Forecast

Jedox Plan & Forecast is supported on iPhones and iPads with iOS 8 or higher and on Android devices with Android 5 or higher.  

Requirement for backend is Jedox 2019.1 or higher. For backend system requirements, see Jedox Software Requirements.

image_pdfimage_print